> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a business phone number for messaging

> Purchases or creates a phone number for the current business so it can be assigned to messaging, calls, and lead follow-up.



## OpenAPI

````yaml /openapi.json post /phone-numbers
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /phone-numbers:
    post:
      tags:
        - PhoneNumbers
      summary: Create a business phone number for messaging
      description: >-
        Purchases or creates a phone number for the current business so it can
        be assigned to messaging, calls, and lead follow-up.
      operationId: PhoneNumbers_Create
      requestBody:
        description: The phone number details to create.
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/PhoneNumberRequest'
              description: >-
                Request schema for the Leadping API phone number update request,
                including the fields clients can send.
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/PhoneNumberRequest'
              description: >-
                Request schema for the Leadping API phone number update request,
                including the fields clients can send.
        required: true
      responses:
        '200':
          description: Returns the phone number response.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PhoneNumberResponse'
                description: >-
                  Response schema for the Leadping API phone number returned to
                  authenticated clients.
        '400':
          description: The request was invalid or failed validation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: An unexpected server error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PhoneNumberRequest:
      required:
        - name
      type: object
      properties:
        number:
          type: string
          description: E.164 phone number exposed by this phone number update request.
        businessId:
          type: string
          description: Business ID that owns the phone number being created or updated.
          nullable: true
        enabled:
          type: boolean
          description: >-
            Indicates whether this phone number update request is active and
            available in the Leadping API.
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: The display name for the entity.
        id:
          type: string
          description: >-
            The unique identifier for the entity, when updating an existing
            entity.
          nullable: true
      description: >-
        Request schema for the Leadping API phone number update request,
        including the fields clients can send.
    PhoneNumberResponse:
      type: object
      properties:
        number:
          type: string
          description: E.164 phone number exposed by this phone number.
        phoneIdentityId:
          type: string
          description: Identifier of the canonical phone identity for this number.
          nullable: true
        business:
          type: object
          allOf:
            - $ref: '#/components/schemas/IdNamePair'
          description: Business summary connected to this phone number.
          nullable: true
        leadpingOwned:
          type: boolean
          description: Indicates whether Leadping provisions and manages this phone number.
        routing:
          allOf:
            - $ref: '#/components/schemas/PhoneNumberRoutingMetadata'
          description: >-
            Routing metadata that connects this phone number to teams,
            campaigns, and sources.
        enabled:
          type: boolean
          description: >-
            Indicates whether this phone number is active and available in the
            Leadping API.
        warmup:
          allOf:
            - $ref: '#/components/schemas/PhoneNumberReadiness'
          description: SMS and call warmup for this phone number.
        name:
          type: string
          description: The display name for the entity.
        id:
          type: string
          description: The unique identifier for the entity.
        createdAt:
          type: string
          description: The date and time when the entity was created.
          format: date-time
        modifiedAt:
          type: string
          description: The date and time when the entity was last modified, if applicable.
          format: date-time
          nullable: true
      description: >-
        Response schema for the Leadping API phone number returned to
        authenticated clients.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    IdNamePair:
      required:
        - id
        - name
      type: object
      properties:
        id:
          type: string
          description: The unique identifier.
        name:
          type: string
          description: The display name.
      description: >-
        A minimal Record type with an (string), (string), and maximum JSON
        compatibility. The reason for this type (over something like
        KeyValuePair, dictionary) is because of JSON serialization support.
    PhoneNumberRoutingMetadata:
      type: object
      properties:
        smsEnabled:
          type: boolean
          description: Indicates whether the phone number can be used for SMS messaging.
        voiceEnabled:
          type: boolean
          description: Indicates whether the phone number can be used for voice calls.
        teamId:
          type: string
          description: Team ID used to route calls and messages for this phone number.
          nullable: true
        sourceId:
          type: string
          description: >-
            Lead source ID assigned to this phone number for attribution and
            routing.
          nullable: true
        campaignId:
          type: string
          description: >-
            Messaging campaign identifier associated with this phone number
            routing metadata.
          nullable: true
        tenDlcApplicationId:
          type: string
          description: Leadping 10DLC application entity associated with this phone number.
          nullable: true
      description: Public Leadping API schema for phone number routing metadata data.
    PhoneNumberReadiness:
      type: object
      properties:
        enabled:
          type: boolean
          description: Indicates whether phone number warmup is enabled in Leadping.
        state:
          enum:
            - Not Started
            - In Progress
            - Paused
            - Blocked
            - Ready
          type: string
          description: Defines the supported SMS readiness states.
          nullable: true
        healthStatus:
          enum:
            - Not Evaluated
            - Evaluating
            - Healthy
            - Needs Attention
            - Blocked
          type: string
          description: Defines the supported SMS readiness health assessments.
          nullable: true
        healthScore:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Current warmup health score used to assess phone number warmup.
          format: int32
        progressPercent:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Warmup completion percentage, from 0 through 100.
          format: int32
        callStage:
          enum:
            - Stage 0
            - Stage 1
            - Stage 2
            - Stage 3
            - Stage 4
          type: string
          description: >-
            Defines the supported voice call warmup stages for a
            Leadping-managed phone number.
          nullable: true
      description: Messaging and calling warmup for a Leadping phone number.

````